<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/release/tools/avs-cpp-sdk-tools/cm/output2/autoCM_publicRepo/avs-device-sdk/AVSCommon/SDKInterfaces/include/AVSCommon/SDKInterfaces/DCFDelegateInterface.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.7.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e65effb2bde530b17b3d5eefcd0266.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a></li><li class="navelem"><a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a></li><li class="navelem"><a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a></li><li class="navelem"><a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">DCFDelegateInterface.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;memory&gt;</code><br />
<code>#include &lt;<a class="el" href="_capability_configuration_interface_8h_source.html">AVSCommon/SDKInterfaces/CapabilityConfigurationInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_d_c_f_observer_interface_8h_source.html">AVSCommon/SDKInterfaces/DCFObserverInterface.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for DCFDelegateInterface.h:</div>
<div class="dyncontent">
<div class="center"><img src="_d_c_f_delegate_interface_8h__incl.png" border="0" usemap="#_2workplace_2release_2tools_2avs-cpp-sdk-tools_2cm_2output2_2auto_c_m__public_repo_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_d_c_f_delegate_interface_8h" alt=""/></div>
<map name="_2workplace_2release_2tools_2avs-cpp-sdk-tools_2cm_2output2_2auto_c_m__public_repo_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_d_c_f_delegate_interface_8h" id="_2workplace_2release_2tools_2avs-cpp-sdk-tools_2cm_2output2_2auto_c_m__public_repo_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_d_c_f_delegate_interface_8h">
<area shape="rect" id="node3" href="_capability_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilityConfigurationInterface.h" alt="" coords="77,153,299,195"/>
<area shape="rect" id="node8" href="_d_c_f_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/DCFObserverInterface.h" alt="" coords="353,153,545,195"/>
<area shape="rect" id="node5" href="_capability_configuration_8h.html" title="AVSCommon/AVS/Capability\lConfiguration.h" alt="" coords="227,243,421,284"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_d_c_f_delegate_interface_8h__dep__incl.png" border="0" usemap="#_2workplace_2release_2tools_2avs-cpp-sdk-tools_2cm_2output2_2auto_c_m__public_repo_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_d_c_f_delegate_interface_8hdep" alt=""/></div>
<map name="_2workplace_2release_2tools_2avs-cpp-sdk-tools_2cm_2output2_2auto_c_m__public_repo_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_d_c_f_delegate_interface_8hdep" id="_2workplace_2release_2tools_2avs-cpp-sdk-tools_2cm_2output2_2auto_c_m__public_repo_2avs-device-sdk_2_a_v_s_common_2_s_d_k_interfaces_2include_2_a_v_s_common_2_s_d_k_interfaces_2_d_c_f_delegate_interface_8hdep">
<area shape="rect" id="node2" href="_default_client_8h.html" title="/workplace/release\l/tools/avs&#45;cpp&#45;sdk&#45;tools\l/cm/output2/autoCM_publicRepo\l/avs&#45;device&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="296,153,523,253"/>
<area shape="rect" id="node13" href="_d_c_f_delegate_8h.html" title="/workplace/release\l/tools/avs&#45;cpp&#45;sdk&#45;tools\l/cm/output2/autoCM_publicRepo\l/avs&#45;device&#45;sdk/DCFDelegate\l/include/DCFDelegate/DCFDelegate.h" alt="" coords="667,568,914,653"/>
<area shape="rect" id="node3" href="_default_client_8cpp.html" title="/workplace/release\l/tools/avs&#45;cpp&#45;sdk&#45;tools\l/cm/output2/autoCM_publicRepo\l/avs&#45;device&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="67,301,296,387"/>
<area shape="rect" id="node4" href="_interaction_manager_8h.html" title="/workplace/release\l/tools/avs&#45;cpp&#45;sdk&#45;tools\l/cm/output2/autoCM_publicRepo\l/avs&#45;device&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="125,435,355,520"/>
<area shape="rect" id="node11" href="_keyword_observer_8h.html" title="/workplace/release\l/tools/avs&#45;cpp&#45;sdk&#45;tools\l/cm/output2/autoCM_publicRepo\l/avs&#45;device&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="371,301,602,387"/>
<area shape="rect" id="node5" href="_user_input_manager_8h.html" title="/workplace/release\l/tools/avs&#45;cpp&#45;sdk&#45;tools\l/cm/output2/autoCM_publicRepo\l/avs&#45;device&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="243,568,474,653"/>
<area shape="rect" id="node10" href="_interaction_manager_8cpp.html" title="/workplace/release\l/tools/avs&#45;cpp&#45;sdk&#45;tools\l/cm/output2/autoCM_publicRepo\l/avs&#45;device&#45;sdk/SampleApp/src\l/InteractionManager.cpp" alt="" coords="5,568,219,653"/>
<area shape="rect" id="node6" href="_sample_application_8h.html" title="/workplace/release\l/tools/avs&#45;cpp&#45;sdk&#45;tools\l/cm/output2/autoCM_publicRepo\l/avs&#45;device&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="362,701,593,787"/>
<area shape="rect" id="node9" href="_user_input_manager_8cpp.html" title="/workplace/release\l/tools/avs&#45;cpp&#45;sdk&#45;tools\l/cm/output2/autoCM_publicRepo\l/avs&#45;device&#45;sdk/SampleApp/src\l/UserInputManager.cpp" alt="" coords="124,701,337,787"/>
<area shape="rect" id="node7" href="main_8cpp.html" title="/workplace/release\l/tools/avs&#45;cpp&#45;sdk&#45;tools\l/cm/output2/autoCM_publicRepo\l/avs&#45;device&#45;sdk/SampleApp/src\l/main.cpp" alt="" coords="312,835,525,920"/>
<area shape="rect" id="node8" href="_sample_application_8cpp.html" title="/workplace/release\l/tools/avs&#45;cpp&#45;sdk&#45;tools\l/cm/output2/autoCM_publicRepo\l/avs&#45;device&#45;sdk/SampleApp/src\l/SampleApplication.cpp" alt="" coords="549,835,763,920"/>
<area shape="rect" id="node12" href="_keyword_observer_8cpp.html" title="/workplace/release\l/tools/avs&#45;cpp&#45;sdk&#45;tools\l/cm/output2/autoCM_publicRepo\l/avs&#45;device&#45;sdk/SampleApp/src\l/KeywordObserver.cpp" alt="" coords="380,435,593,520"/>
<area shape="rect" id="node14" href="_d_c_f_delegate_8cpp.html" title="/workplace/release\l/tools/avs&#45;cpp&#45;sdk&#45;tools\l/cm/output2/autoCM_publicRepo\l/avs&#45;device&#45;sdk/DCFDelegate\l/src/DCFDelegate.cpp" alt="" coords="719,701,932,787"/>
<area shape="rect" id="node15" href="_d_c_f_delegate_test_8cpp.html" title="/workplace/release\l/tools/avs&#45;cpp&#45;sdk&#45;tools\l/cm/output2/autoCM_publicRepo\l/avs&#45;device&#45;sdk/DCFDelegate\l/test/DCFDelegateTest.cpp" alt="" coords="956,701,1169,787"/>
</map>
</div>
</div>
<p><a href="_d_c_f_delegate_interface_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_d_c_f_delegate_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::DCFDelegateInterface</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">alexaClientSDK::avsCommon</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html">alexaClientSDK::avsCommon::sdkInterfaces</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.7.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
